-- Hydraulic
-- Specialisation for the hydraulic
--
-- @ Autor  Tobias F.
-- @ Last Edit  15/02/2012 by Ptitminus73

Hydraulic = {};

function Hydraulic.prerequisitesPresent(specializations)
    return true;
end;

function Hydraulic:load(xmlFile)
end;

function Hydraulic:delete()
end;

function Hydraulic:readStream(streamId, connection)
end;

function Hydraulic:writeStream(streamId, connection)	
end;

function Hydraulic:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Hydraulic:keyEvent(unicode, sym, modifier, isDown)
end;

function Hydraulic:update(dt)
	if self:getIsActive() then		
		for _, part in pairs(self.movingParts) do
			Cylindered.setDirty(self, part);
		end;
	end;
end;

function Hydraulic:updateTick(dt)
end;

function Hydraulic:draw()
end;

function Hydraulic:onAttach(attacherVehicle)
end;

function Hydraulic:onDetach()
end;